Skip to main content
GET
/
v3
/
listings
/
external_id
/
{external_id}
Get Listing Via External Id
curl --request GET \
  --url 'https://api.example.com/v3/listings/external_id/{external_id}?api_key='
import requests

url = "https://api.example.com/v3/listings/external_id/{external_id}?api_key="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v3/listings/external_id/{external_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "show_in_breadcrumbs": true,
  "show_in_quicklinks": true,
  "image_urls": [
    "<string>"
  ],
  "title": "<string>",
  "ancestors": [
    {
      "listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "show_in_breadcrumbs": true,
      "show_in_quicklinks": true,
      "image_urls": [
        "<string>"
      ],
      "title": "<string>",
      "external_id": "<string>",
      "slug": "<string>"
    }
  ],
  "siblings": [
    {
      "listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "show_in_breadcrumbs": true,
      "show_in_quicklinks": true,
      "image_urls": [
        "<string>"
      ],
      "title": "<string>",
      "external_id": "<string>",
      "slug": "<string>"
    }
  ],
  "children": [
    {
      "listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "show_in_breadcrumbs": true,
      "show_in_quicklinks": true,
      "image_urls": [
        "<string>"
      ],
      "title": "<string>",
      "external_id": "<string>",
      "slug": "<string>"
    }
  ],
  "external_id": "<string>",
  "slug": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
This page does not apply to installs made in 2025 or later of the Depict Shopify apps

Authorizations

api_key
string
query
required

Path Parameters

external_id
string | null
required

Query Parameters

merchant
string
required
market
string
required
locale
string
required
listing_id
string<uuid> | null
session_id
string
default:""

Response

Successful Response

listing_id
string<uuid>
required

Depict ID of the listing.

listing_type
enum<string>
required
Available options:
long_tail_collection,
campaign,
category,
smart_pick,
style,
brand
show_in_breadcrumbs
boolean
required

Show or hide this listing in navigation breadcrumbs.

Show or hide this listing in quicklinks.

image_urls
string[]
required

List of image URLs for the listing.

title
string
required
ancestors
ProductListing · object[]
required

Ordered list of ancestors of the listing, useful for navigation breadcrumbs. The first element is the root listing.

siblings
ProductListing · object[]
required

Siblings of the listing, i.e. listings that share the same parent, INCLUDING the listing itself. Sortet by title.

children
ProductListing · object[]
required

Children of the listing, i.e. listings that have the listing as their parent. Sorted by title.

external_id
string | null

ID of the listing in the merchant PIM, CMS or similar.

slug
string | null